> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Drama Detail

> Get Drama Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/drama/detail
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/drama/detail:
    get:
      tags:
        - Drama
      summary: Get Drama Detail
      description: Get Drama Detail
      operationId: getApiDramaDetail
      parameters:
        - in: query
          name: dramaId
          schema:
            type: string
            pattern: ^\d+$
            description: Drama ID
            example: '7674268460205364245'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  dramaInfo:
                    type: object
                    properties:
                      AIGCDescription:
                        type: string
                        description: AI-generated description of the video, if available
                        example: ''
                      CategoryType:
                        type: number
                        description: Indicates the video category type defined by TikTok
                        example: 101
                      IsHDBitrate:
                        type: boolean
                        description: ''
                        example: false
                      ShowAIGC:
                        type: boolean
                        description: ''
                        example: true
                      author:
                        type: object
                        properties:
                          avatarLarger:
                            type: string
                            description: URL of the user’s large-size avatar image
                            example: >-
                              https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-avt-0068/253fe33c9376d676341cd8964c188e78~tplv-tiktokx-cropcenter:1080:1080.jpeg?dr=10399&refresh_token=537ee341&x-expires=1787378400&x-signature=Kuqi%2FplCTTU7c8yxqcLBcwNIxdI%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=no1a
                          avatarMedium:
                            type: string
                            description: URL of the user’s medium-size avatar image
                            example: >-
                              https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-avt-0068/253fe33c9376d676341cd8964c188e78~tplv-tiktokx-cropcenter:720:720.jpeg?dr=10399&refresh_token=75c89642&x-expires=1787378400&x-signature=NUQNUVFFIN%2FuO%2BBdAsGjeivrlQA%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=no1a
                          avatarThumb:
                            type: string
                            description: URL of the user’s thumbnail-size avatar image
                            example: >-
                              https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-avt-0068/253fe33c9376d676341cd8964c188e78~tplv-tiktokx-cropcenter:100:100.jpeg?dr=10399&refresh_token=e1fc08c6&x-expires=1787378400&x-signature=E54li%2FobSxGkEyk5VeO4ZATUZ0A%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=no1a
                          commentSetting:
                            type: number
                            description: User’s comment privacy setting for their posts
                            example: 0
                          downloadSetting:
                            type: number
                            description: >-
                              User’s download permission setting for their
                              videos
                            example: 0
                          duetSetting:
                            type: number
                            description: User’s duet permission setting
                            example: 0
                          ftc:
                            type: boolean
                            description: >-
                              Indicates whether the account is subject to child
                              safety restrictions
                            example: false
                          id:
                            type: string
                            description: User ID
                            example: '7627304408481448981'
                          isADVirtual:
                            type: boolean
                            description: >-
                              Indicates whether the account is a virtual or
                              advertisement related profile
                            example: false
                          nickname:
                            type: string
                            description: The user’s profile display name
                            example: stardustdrama_mx
                          openFavorite:
                            type: boolean
                            description: Whether the user’s liked videos list is public
                            example: true
                          privateAccount:
                            type: boolean
                            description: Indicates whether the account is set to private
                            example: false
                          secUid:
                            type: string
                            description: User secUid
                            example: >-
                              MS4wLjABAAAA63WLj4gsA7Ad6V3caZ9l5PhxNJk7ZQTTdgEF4SZSVKmlOudPA56zl5rzl6SGCOEv
                          secret:
                            type: boolean
                            description: Indicates whether the account is set to private
                            example: false
                          signature:
                            type: string
                            description: The user’s profile bio
                            example: This is pretty much just a cat account
                          stitchSetting:
                            type: number
                            description: User’s Stitch permission setting
                            example: 0
                          uniqueId:
                            type: string
                            description: >-
                              User uniqueID. The user’s public TikTok handle
                              (username)
                            example: stardustdrama_mx
                          verified:
                            type: boolean
                            description: >-
                              Indicates whether the account is officially
                              verified
                            example: false
                      authorStats:
                        type: object
                        properties:
                          diggCount:
                            type: number
                            description: >-
                              Total number of likes the user has given to other
                              videos
                            example: 2276
                          followerCount:
                            type: number
                            description: Total number of users following this account
                            example: 33300000
                          followingCount:
                            type: number
                            description: Number of accounts this user is following
                            example: 0
                          friendCount:
                            type: number
                            description: >-
                              Number of mutual followers (users that this
                              account follows and who also follow back)
                            example: 0
                          heart:
                            type: number
                            description: >-
                              Total number of likes the user has received across
                              all videos
                            example: 263500000
                          heartCount:
                            type: number
                            description: >-
                              Same as "heart". Represents the total number of
                              likes the user has received
                            example: 263500000
                          videoCount:
                            type: number
                            description: Total number of videos the user has posted
                            example: 78
                        description: User stats
                      authorStatsV2:
                        type: object
                        properties:
                          diggCount:
                            type: string
                            description: >-
                              Total number of likes the user has given to other
                              videos
                            example: '2276'
                          followerCount:
                            type: string
                            description: Total number of users following this account
                            example: '33265139'
                          followingCount:
                            type: string
                            description: Number of accounts this user is following
                            example: '0'
                          friendCount:
                            type: string
                            description: >-
                              Number of mutual followers (users that this
                              account follows and who also follow back)
                            example: '0'
                          heart:
                            type: string
                            description: >-
                              Total number of likes the user has received across
                              all videos
                            example: '263479941'
                          heartCount:
                            type: string
                            description: >-
                              Same as "heart". Represents the total number of
                              likes the user has received
                            example: '263479941'
                          videoCount:
                            type: string
                            description: Total number of videos the user has posted
                            example: '78'
                        description: >-
                          An enhanced version of user stats where all metrics
                          are exact values (not rounded)
                      backendSourceEventTracking:
                        type: string
                        description: >-
                          Internal backend event tracking identifier used by
                          TikTok
                        example: ''
                      contents:
                        type: array
                        items:
                          type: object
                          properties:
                            desc:
                              type: string
                              description: The text description of the video
                              example: >-
                                Dragón furioso liberado: invencible desde que
                                interrumpió la boda
                      createTime:
                        type: number
                        description: Create time of the drama (timestamp)
                        example: 1786805430
                      creatorAIComment:
                        type: object
                        properties:
                          eligibleVideo:
                            type: boolean
                            description: >-
                              Indicates whether the video is eligible for
                              AI-powered comments
                            example: false
                          hasAITopic:
                            type: boolean
                            description: >-
                              Indicates whether the video contains AI-generated
                              topics
                            example: false
                          notEligibleReason:
                            type: number
                            description: >-
                              Reason code explaining why the video is not
                              eligible for AI comments
                            example: 101
                      desc:
                        type: string
                        description: The text description of the video
                        example: >-
                          Dragón furioso liberado: invencible desde que
                          interrumpió la boda
                      diversificationId:
                        type: number
                        description: >-
                          Identifier used by TikTok to diversify video
                          distribution
                        example: 10045
                      dramaInfo:
                        type: object
                        properties:
                          authorUID:
                            type: string
                            description: >-
                              The unique identifier of the user who created the
                              drama
                            example: '7627304408481448981'
                          cover:
                            type: object
                            properties:
                              urlList:
                                type: array
                                items:
                                  type: string
                                description: A list of URLs for the drama cover images
                                example:
                                  - >-
                                    https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=zzjvekP1M%2BM3GEAJxdI3n%2FULjUA%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                                  - >-
                                    https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=mVvxuQYvA9RvkVnj58rQ%2BkS5h2g%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                                  - >-
                                    https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.jpeg?dr=10395&x-expires=1787378400&x-signature=RLyraA8kZ%2BN3%2F3kHTrWKDnHZvpg%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                          description:
                            type: string
                            description: The description of the drama
                            example: >-
                              Leo Lara sale de prisión y rescata a la hija de
                              una familia adinerada...
                          dramaID:
                            type: string
                            description: The unique identifier of the drama
                            example: '7674268460205364245'
                          dramaName:
                            type: string
                            description: The name of the drama
                            example: El regreso del rey dragón
                          isLimitedFree:
                            type: boolean
                            description: Whether the drama has limited free access
                            example: true
                          numVideos:
                            type: number
                            description: The total number of episodes in the drama
                            example: 65
                          numWatched:
                            type: string
                            description: The number of times the drama has been watched
                            example: '2040026'
                          themes:
                            type: array
                            items:
                              type: object
                              properties:
                                tagID:
                                  type: string
                                  description: The unique identifier of the drama theme
                                  example: '7628991192533095425'
                                tagKey:
                                  type: string
                                  description: The key identifying the drama theme
                                  example: tag_Highsociety_GeneralSettings
                                tagVal:
                                  type: string
                                  description: The display value of the drama theme
                                  example: Family Feud
                            description: The themes associated with the drama
                          totalDuration:
                            type: string
                            description: >-
                              The total duration of all episodes in the drama,
                              in seconds
                            example: '6596'
                          zoomCover:
                            type: object
                            properties:
                              '240':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:240:240.jpeg?dr=10375&x-expires=1787378400&x-signature=EJSNs1FRBQ%2FJJrUJ%2F1Z9zKZ%2BNdE%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '480':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:480:480.jpeg?dr=10375&x-expires=1787378400&x-signature=TATIhtRyaLJOccdSu50E1Zi4cEY%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '720':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:720:720.jpeg?dr=10375&x-expires=1787378400&x-signature=pu6IKlsYGWaU9VrIyBPalpy%2Be%2BQ%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '960':
                                type: string
                                description: ''
                                example: >-
                                  https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:960:960.jpeg?dr=10375&x-expires=1787378400&x-signature=cR%2BLKHBnDyiEDigRACMen%2F0gTOU%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                      duetDisplay:
                        type: number
                        description: Indicates duet visibility settings for this video
                        example: 0
                      forFriend:
                        type: boolean
                        description: >-
                          Indicates whether the video is shared only with
                          friends
                        example: false
                      id:
                        type: string
                        description: Video ID
                        example: '7674270724466461973'
                      isAd:
                        type: boolean
                        description: Indicates whether the video is an advertisement
                        example: false
                      isReviewing:
                        type: boolean
                        description: >-
                          Indicates whether the video is still under TikTok
                          review
                        example: false
                      itemCommentStatus:
                        type: number
                        description: The comment status of the video
                        example: 0
                      item_control:
                        type: object
                        properties:
                          can_repost:
                            type: boolean
                            description: >-
                              Indicates whether the video can be reposted by
                              users
                            example: true
                      officalItem:
                        type: boolean
                        description: >-
                          Indicates whether the video is marked as official
                          content
                        example: false
                      originalItem:
                        type: boolean
                        description: >-
                          Indicates whether this is original content by the
                          creator
                        example: false
                      privateItem:
                        type: boolean
                        description: Indicates whether the video is set to private
                        example: false
                      secret:
                        type: boolean
                        description: Indicates whether the video is set to private
                        example: false
                      shareEnabled:
                        type: boolean
                        description: Indicates whether sharing is enabled for this video
                        example: true
                      stats:
                        type: object
                        properties:
                          collectCount:
                            type: number
                            description: Number of times the post has been saved
                            example: 49800
                          commentCount:
                            type: number
                            description: Total number of comments on the post
                            example: 10300
                          diggCount:
                            type: number
                            description: Total number of likes the post has received
                            example: 1100000
                          playCount:
                            type: number
                            description: Total number of views the post has generated
                            example: 6600000
                          shareCount:
                            type: number
                            description: Number of times the post has been shared
                            example: 100000
                      statsV2:
                        type: object
                        properties:
                          collectCount:
                            type: string
                            description: Number of times the post has been saved
                            example: '49811'
                          commentCount:
                            type: string
                            description: Total number of comments on the post
                            example: '10300'
                          diggCount:
                            type: string
                            description: Total number of likes the post has received
                            example: '1100000'
                          playCount:
                            type: string
                            description: Total number of views the post has generated
                            example: '6600000'
                          repostCount:
                            type: string
                            description: Number of times the post has been reposted
                            deprecated: true
                            example: '0'
                          shareCount:
                            type: string
                            description: Number of times the post has been shared
                            example: '100000'
                      stitchDisplay:
                        type: number
                        description: Indicates stitch visibility settings for this video
                        example: 0
                      stitchEnabled:
                        type: boolean
                        description: Indicates whether stitching is allowed for this video
                        example: true
                      textLanguage:
                        type: string
                        description: Detected language of the caption text
                        example: es
                      textTranslatable:
                        type: boolean
                        description: Indicates whether the caption text can be translated
                        example: true
                      video:
                        type: object
                        properties:
                          cover:
                            type: string
                            description: URL of the primary video thumbnail
                            example: >-
                              https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-p-c7a081-sg/oQtfAfUNDDLUFCSGbxE6PPIzeC4QOaoBy8zzWk~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=opDQ%2B8LNGCnmswbBttRwduQv5qs%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                          duration:
                            type: number
                            description: Video duration in seconds
                            example: 119
                          dynamicCover:
                            type: string
                            description: >-
                              URL of the animated video cover (dynamic
                              thumbnail)
                            example: >-
                              https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-p-0037/o0qDhXVeAfrdIJ3ELPA09QQGAAA4AsjCkceEJk~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=LIITeOgCvIrNKOzf7WtmBDiPruk%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                          height:
                            type: number
                            description: Video height in pixels
                            example: 0
                          id:
                            type: string
                            description: Drama ID
                            example: '7674270724466461973'
                          originCover:
                            type: string
                            description: URL of the original (unprocessed) video thumbnail
                            example: >-
                              https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-p-0037/oICMrjGeAIPeXsxDB3F94fJIAIkLgEVGDgAAS7~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=mUcT8VEpiglXkpR1VbODZuUKRvE%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                          ratio:
                            type: string
                            description: Video resolution ratio label
                            example: ''
                          volumeInfo:
                            type: object
                            properties:
                              Loudness:
                                type: number
                                description: Measured loudness level of the audio track
                                example: -20.4
                              Peak:
                                type: number
                                description: Peak volume value detected in the audio
                                example: 0.43652
                          width:
                            type: number
                            description: Video height in pixels
                            example: 0
                          zoomCover:
                            type: object
                            properties:
                              '240':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:240:240.jpeg?dr=10375&x-expires=1787378400&x-signature=EJSNs1FRBQ%2FJJrUJ%2F1Z9zKZ%2BNdE%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '480':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:480:480.jpeg?dr=10375&x-expires=1787378400&x-signature=TATIhtRyaLJOccdSu50E1Zi4cEY%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '720':
                                type: string
                                description: ''
                                example: >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:720:720.jpeg?dr=10375&x-expires=1787378400&x-signature=pu6IKlsYGWaU9VrIyBPalpy%2Be%2BQ%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                              '960':
                                type: string
                                description: ''
                                example: >-
                                  https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:960:960.jpeg?dr=10375&x-expires=1787378400&x-signature=cR%2BLKHBnDyiEDigRACMen%2F0gTOU%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                  totalEpisodeCount:
                    type: string
                    description: The total number of episodes in the drama
                    example: '65'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````